import { __assign } from './../../external/tslib/tslib.es6.js';
import { German } from 'flatpickr/dist/l10n/de';
import { english } from 'flatpickr/dist/l10n/default';
import { Spanish } from 'flatpickr/dist/l10n/es';
import { French } from 'flatpickr/dist/l10n/fr';
import { Dutch } from 'flatpickr/dist/l10n/nl';
import { Italian } from 'flatpickr/dist/l10n/it';

var transformDateFormat = function (dateFormat) {
  if (typeof dateFormat === 'string') {
    return dateFormat.replace('DD', 'd').replace('MM', 'm').replace('YYYY', 'Y').replace('YY', 'y');
  }

  return dateFormat;
};

var customEnglish = __assign(__assign({}, english), {
  firstDayOfWeek: 1
});

var localeDictionary = {
  'en-GB': {
    locale: customEnglish
  },
  'de-DE': {
    locale: German
  },
  'es-ES': {
    locale: Spanish
  },
  'fr-FR': {
    locale: French
  },
  'nl-NL': {
    locale: Dutch
  },
  'it-IT': {
    locale: Italian
  }
};
export { localeDictionary, transformDateFormat };
//# sourceMappingURL=helper.js.map
